# mPy - Monitor incoming USB strings on LCD (connect SDA-SDA and SCL-SCL)
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 0.10  2026-03-19  initial release

import	time
from	drivers		import	nbInput
from	driver_lcd	import	Lcd

# ======================== Main ==========================

def monitor():
    lcd = Lcd()
    while True:
        if s := nbInput():		# s is received string or None
            lcd.print(s)


monitor()

# ======================== end ==========================
